//
//  MPPositive_BrowseItemViewModel.swift
//  MusicPlayer
//
//  Created by Mr.Zhou on 2024/4/25.
//

import UIKit
import Kingfisher
//b面预览例展示
class MPPositive_BrowseItemViewModel: NSObject {
    ///封面图片路径
    var coverUrl:URL?
    ///主标题（一级标题）
    var title:String!
    ///次标题（二级标题）
    var subtitle:String!
    ///预览例实体
    var browseItem:MPPositive_BrowseItemModel!
    init(_ browseItem:MPPositive_BrowseItemModel) {
        super.init()
        self.browseItem = browseItem
        confirgue(browseItem)
    }
    //实现与ui交互的数据配置
    private func confirgue (_ browseItem:MPPositive_BrowseItemModel) {
        //封面
        if let url = URL(string: browseItem.coverUrls?.last ?? "") {
            self.coverUrl = url
        }else {
            print("No Cover")
        }
        //标题处理
        title = browseItem.title
        if browseItem.subtitle != nil {
            subtitle = browseItem.subtitle
        }
    }
    ///将路径转为图片
    func setUrltoImage(_ imageView:UIImageView) {
        if coverUrl != nil {
            imageView.kf.setImage(with: coverUrl, placeholder: placeholderImage)
        }else {
            imageView.image = placeholderImage
        }
    }
}

